> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-area-labels.md).

# Settings   Area Labels

## GET /settings/areaLabels

> List Area Labels

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"AreaLabel":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the area label."},"label":{"type":"string","description":"The display name of the area label."},"active":{"type":"boolean","description":"Whether this area label is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this area label applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/areaLabels":{"get":{"summary":"List Area Labels","operationId":"listAreaLabels","tags":["Settings - Area Labels"],"responses":{"200":{"description":"List of area labels","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/AreaLabel"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/areaLabels

> Create Area Label

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"AreaLabel":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the area label."},"label":{"type":"string","description":"The display name of the area label."},"active":{"type":"boolean","description":"Whether this area label is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this area label applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/areaLabels":{"post":{"summary":"Create Area Label","operationId":"createAreaLabel","tags":["Settings - Area Labels"],"requestBody":{"description":"Data for creating a new area label","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"label":{"type":"string","description":"The display name of the area label."},"active":{"type":"boolean","description":"Whether this area label is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this area label applies to"}},"required":["label"]}}}},"responses":{"200":{"description":"Successfully created area label","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaLabel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Conflict - Area label already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/areaLabels/{id}

> Retrieve Area Label

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"AreaLabel":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the area label."},"label":{"type":"string","description":"The display name of the area label."},"active":{"type":"boolean","description":"Whether this area label is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this area label applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/areaLabels/{id}":{"get":{"summary":"Retrieve Area Label","operationId":"getAreaLabel","tags":["Settings - Area Labels"],"parameters":[{"name":"id","in":"path","description":"ID of the Area Label","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the area label","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaLabel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/areaLabels/{id}

> Update Area Label

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"AreaLabel":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the area label."},"label":{"type":"string","description":"The display name of the area label."},"active":{"type":"boolean","description":"Whether this area label is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this area label applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/areaLabels/{id}":{"put":{"summary":"Update Area Label","operationId":"updateAreaLabel","tags":["Settings - Area Labels"],"parameters":[{"name":"id","in":"path","description":"ID of the Area Label","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated area label data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaLabel"}}}},"responses":{"200":{"description":"Successfully updated area label","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaLabel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/areaLabels/{id}

> Delete Area Label

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/areaLabels/{id}":{"delete":{"summary":"Delete Area Label","operationId":"deleteAreaLabel","tags":["Settings - Area Labels"],"parameters":[{"name":"id","in":"path","description":"ID of the Area Label","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Area label successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-area-labels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
